# 
# * 7.6 Операторы упаковки и распаковки коллекций
# 

'''
Подвиг 2. Вводится список из семи целых чисел в одну строчку через пробел.
Необходимо первые четыре числа занести в переменную lst, а остальные три
в отдельные переменные x, y, z. Сделать с использованием оператора
упаковки. Вывести список lst на экран с помощью команды:

print(*lst)

Sample Input:

56 4 -23 2 0 3 5
Sample Output:

56 4 -23 2
'''

# *lst, x , y, z = map(int,input().split())
# print(*lst)

'''
Подвиг 3. Вводятся названия городов в одну строчку через пробел. На
основе этой строки необходимо сформировать список из названий. А, затем,
используя оператор распаковки *, преобразовать этот список в кортеж
lst_c. Результат вывести на экран командой:

print(lst_c)

Sample Input:

Москва Уфа Тверь Самара
Sample Output:

('Москва', 'Уфа', 'Тверь', 'Самара')
'''
# lst = input().split()
# print((*lst,))

'''
Подвиг 4. Вводятся два целых значения a и b (a < b) в одну строчку через
пробел. Необходимо сформировать список из целых чисел от a до b
(включительно) с шагом изменения 1, используя функцию range, оператор []
и оператор распаковки *. Вывести полученный список на экран командой:
print(*lst)
Sample Input:
3 11
Sample Output:
3 4 5 6 7 8 9 10 11
'''
# a, b = map(int,input().split())
# lst = [*range(a, b + 1)]
# print(*lst)

'''
Подвиг 5. Вводится список вещественных чисел и список названий городов,
каждый в отдельной строке. Необходимо сформировать единый список lst,
в котором сначала идут числа, а затем, названия городов. Реализовать
программу с помощью оператор распаковки *.
Вывести полученный список на экран командой:
print(*lst)
Sample Input:
5.8 11.0 4.3
Уфа Омск Тверь Самара
Sample Output:
5.8 11.0 4.3 Уфа Омск Тверь Самара
'''
# d = input().split()
# c = input().split()
# lst = [*d, *c]
# print(*lst)

'''
Подвиг 6. Имеется словарь, содержащий пункты меню:
menu = {'Главная': 'home', 'Архив': 'archive', 'Новости': 'news'}
Дополнительно вводятся еще пункты меню в виде строк в формате:
название_1=url_1
...
название_N=url_N
Необходимо эту введенную информацию преобразовать в словарь и добавить к
словарю menu, используя оператор распаковки для словарей. На
результирующий словарь должна вести переменная menu. Выводить словарь не
нужно, только сформировать.
P. S. Для считывания списка целиком в программе уже записаны начальные строчки.
Sample Input:
Города=about-cities
Машины=read-of-cars
Самолеты=airplanes

Sample Output:
Архив Главная Города Машины Новости Самолеты
about-cities airplanes archive home news read-of-cars
'''

# import sys

# # считывание списка из входного потока
# lst_in = list(map(str.strip, sys.stdin.readlines()))

# menu = {'Главная': 'home', 'Архив': 'archive', 'Новости': 'news'}
# # здесь продолжайте программу (используйте список lst_in и menu)
# d = {m.split('=')[0]: m.split('=')[1] for m in lst_in}
# menu = {**menu, **d}
# # print (menu)

